
//-------------------------------------------------------------------
//
//  file:     Comp_Opt.Inc                12.12.99, 10.03.2006
//
//  General Compiler Options include file
//  for easy selection of DEBUG / RELEASE compilation
//
//-------------------------------------------------------------------
{$define DEBUG     switch DEBUG compilation on/off}
{$define useAsm    switch to alternate assembler routines}
{$define Graph32   switch between Graph / Gr32 unit usage}

{$ifdef DEBUG}
  {$D+,L+,Y+   Debug Information, Local Symbols, Symbolinfo}
  {$R+,S+      Range Checking, Stack Checking}
  {$Q+         Integer Overflow Checking}
  {$O-         Optimization}
{$else}
  {$D-,L-,Y-,Q-,R-,S-,O+}
{$endif}

{$A+   Align Fields}
{$B+   Boolean short-circuit evaluation}
{$H+   long strings}
{$I-   No Input/output checking}
{$T-   No Type-checked pointers}
{$V-   No Var-string checking}
{$X+   No Extended syntax}

{$ifdef DEBUG}
  {conditional Defines for debugging !!!}
  {$define InitTest}
  {$define ExitTest}
  {$define MemTest}
  {$define xUseOpenGL}
{$endif}


